function mufinal = RadTEvl(u0, mesh, Tfinal, m)

    % Get matrices
    [A, B] = compGalMats(mesh);

    % Time step and other parameters
    tau = Tfinal / m;
    lam = 1-1/sqrt(2);

    % Time stepping
    for i = 1:m
        k1 = (B+lam*tau*A) \ (-A*u0);
        k2 = (B+lam*tau*A) \ (-A*(u0 + (1-lam)*tau*k1));
        u0 = u0 + (1-lam)*tau*k1 + lam*tau*k2;
    end

    % Output
    mufinal = u0;

end
