function [mufinal, H1seminorms] = RadTEvlNorm(u0, mesh, Tfinal, m)

    % Get matrices
    [A, B] = compGalMats(mesh);

    % Time step and other parameters
    tau = Tfinal / m;
    lam = 1-1/sqrt(2);

    % Time stepping
    H1seminorms = zeros(1,m+1);
    H1seminorms(1) = sqrt(u0' * A * u0);
    for i = 1:m
        k1 = (B+lam*tau*A) \ (-A*u0);
        k2 = (B+lam*tau*A) \ (-A*(u0 + (1-lam)*tau*k1));
        u0 = u0 + (1-lam)*tau*k1 + lam*tau*k2;
        H1seminorms(i+1) = abs(sqrt(u0' * A * u0));
    end

    % Output
    mufinal = u0;

end
