mesh = load_Mesh('Coord_Circ.dat', 'Elem_Circ.dat');
mesh = add_Edges(mesh);
loc = get_BdEdges(mesh);
mesh.BdFlags = zeros(size(mesh.Edges,1),1);
mesh.BdFlags(loc) = -1;

u0 = sin(30*mesh.Coordinates(:,1)) + sin(30*mesh.Coordinates(:,2));
[ufin, norms] = RadTEvlNorm(u0, mesh, 6, 200);

figure(1); clf;
semilogy(linspace(0,6,201), norms, 'LineWidth', 2);
grid on;
xlabel('Time'); ylabel('H^1 seminorm');
